package org.wfc.omada.api.hotspot.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Data points of vouchers
 */
@ApiModel(description = "Data points of vouchers")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:35:35.496+08:00[Asia/Shanghai]")

public class VoucherUsageOpenApiVo   {
  @JsonProperty("amount")
  private String amount;

  @JsonProperty("currency")
  private String currency;

  @JsonProperty("count")
  private Integer count;

  @JsonProperty("timeInterval")
  private Integer timeInterval;

  @JsonProperty("time")
  private Long time;

  public VoucherUsageOpenApiVo amount(String amount) {
    this.amount = amount;
    return this;
  }

  /**
   * Amount of vouchers
   * @return amount
  */
  @ApiModelProperty(value = "Amount of vouchers")


  public String getAmount() {
    return amount;
  }

  public void setAmount(String amount) {
    this.amount = amount;
  }

  public VoucherUsageOpenApiVo currency(String currency) {
    this.currency = currency;
    return this;
  }

  /**
   * Currency Short Code of voucher. For the values of Currency Short Code, refer to section 5.4.2 of the Open API Access Guide.
   * @return currency
  */
  @ApiModelProperty(value = "Currency Short Code of voucher. For the values of Currency Short Code, refer to section 5.4.2 of the Open API Access Guide.")


  public String getCurrency() {
    return currency;
  }

  public void setCurrency(String currency) {
    this.currency = currency;
  }

  public VoucherUsageOpenApiVo count(Integer count) {
    this.count = count;
    return this;
  }

  /**
   * Count of vouchers
   * @return count
  */
  @ApiModelProperty(value = "Count of vouchers")


  public Integer getCount() {
    return count;
  }

  public void setCount(Integer count) {
    this.count = count;
  }

  public VoucherUsageOpenApiVo timeInterval(Integer timeInterval) {
    this.timeInterval = timeInterval;
    return this;
  }

  /**
   * Time interval of each data point
   * @return timeInterval
  */
  @ApiModelProperty(value = "Time interval of each data point")


  public Integer getTimeInterval() {
    return timeInterval;
  }

  public void setTimeInterval(Integer timeInterval) {
    this.timeInterval = timeInterval;
  }

  public VoucherUsageOpenApiVo time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * Timestamp of the data point, unit: MS
   * @return time
  */
  @ApiModelProperty(value = "Timestamp of the data point, unit: MS")


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoucherUsageOpenApiVo voucherUsageOpenApiVo = (VoucherUsageOpenApiVo) o;
    return Objects.equals(this.amount, voucherUsageOpenApiVo.amount) &&
        Objects.equals(this.currency, voucherUsageOpenApiVo.currency) &&
        Objects.equals(this.count, voucherUsageOpenApiVo.count) &&
        Objects.equals(this.timeInterval, voucherUsageOpenApiVo.timeInterval) &&
        Objects.equals(this.time, voucherUsageOpenApiVo.time);
  }

  @Override
  public int hashCode() {
    return Objects.hash(amount, currency, count, timeInterval, time);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoucherUsageOpenApiVo {\n");
    
    sb.append("    amount: ").append(toIndentedString(amount)).append("\n");
    sb.append("    currency: ").append(toIndentedString(currency)).append("\n");
    sb.append("    count: ").append(toIndentedString(count)).append("\n");
    sb.append("    timeInterval: ").append(toIndentedString(timeInterval)).append("\n");
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

